Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.dynamicui
Interface DynamicUIManagementFactoryService

All Superinterfaces:
  PortletService

    public interface DynamicUIManagementFactoryService

extends PortletService

The DynamicUIManagementFactoryService provides access to instances of `DynamicUIInfo` and `DynamicUICtrl` . The returned instances are associated a dynamic ui management configuration that is defined via its name. Portlets can get access to an instance of this service as follows: `PortletServiceHome dynamicUIManagementFactoryServiceHome = (PortletServiceHome)ctx.lookup("portletservice/com.ibm.portal.portlet.service.dynamicui.DynamicUIManagementFactoryService"); DynamicUIManagementFactoryService dynamicUIManagementFactoryService = (DynamicUIManagementFactoryService) dynamicUIManagementFactoryServiceHome.getPortletService(DynamicUIManagementFactoryService.class);`

Since:
  5.1.0.1

Method Summary
`DynamicUICtrl` | `getDynamicUICtrl(ActionRequest request, ActionResponse response, java.lang.String configurationName)` Returns the DynamicUICtrl for a given configuration.
`DynamicUIInfo` | `getDynamicUIInfo(PortletRequest request, PortletResponse response, java.lang.String configurationName)` Returns the DynamicUIInfo for a given configuration.
`void` | `setDefaultRedirectPage(ActionRequest request, ActionResponse response, java.lang.String configurationName, ObjectID pageID)` Sets the default redirect page for this DynamicUIManagement instance that should be used in the case that the currently selected page is closed and there are no other dynamic pages.

Method Detail

### getDynamicUIInfo

    DynamicUIInfo getDynamicUIInfo(PortletRequest request,
                                   PortletResponse response,
                                   java.lang.String configurationName)
                                   throws DynamicUIManagementException

  Returns the DynamicUIInfo for a given configuration. The passed portlet request and response must be those passed to the portlet or wrappers around those originally passed objects.

  Parameters:
    `configurationName` - The name of the configuration. It is not allowed to pass `null` for this parameter.
    `request` - The portlet request. It is not allowed to pass `null` for this parameter.
    `response` - The portlet response. It is not allowed to pass `null` for this parameter.
  Returns:
    DynamicUIInfo The DynamicUIInfo.
  Throws:
    `FactoryException` - The DynamicUIInfo cannot be created.
    `DynamicUIManagementException`

### getDynamicUICtrl

    DynamicUICtrl getDynamicUICtrl(ActionRequest request,
                                   ActionResponse response,
                                   java.lang.String configurationName)
                                   throws DynamicUIManagementException

  Returns the DynamicUICtrl for a given configuration. The passed action request and response must be those passed to the portlet or wrappers around those originally passed objects.

  Parameters:
    `request` - The action request. It is not allowed to pass `null` for this parameter.
    `response` - The action response. It is not allowed to pass `null` for this parameter.
    `configurationName` - The name of the configuration. It is not allowed to pass `null` for this parameter.
  Returns:
    DynamicUICtrl The DynamicUIController.
  Throws:
    `FactoryException` - The DynamicUIController cannot be created.
    `DynamicUIManagementException`

### setDefaultRedirectPage

    void setDefaultRedirectPage(ActionRequest request,
                                ActionResponse response,
                                java.lang.String configurationName,
                                ObjectID pageID)
                                throws DynamicUIManagementException

  Sets the default redirect page for this DynamicUIManagement instance that should be used in the case that the currently selected page is closed and there are no other dynamic pages.

  This method overwrites any other settings.

  The redirect page can only be set when no dynamic pages exist.

  Parameters:
    `request` - The action request. It is not allowed to pass `null` for this parameter.
    `response` - The action response. It is not allowed to pass `null` for this parameter.
    `configurationName` - The name of the configuration. It is not allowed to pass `null` for this parameter.
    `pageID` - The object id of the default redirect page. If `null` null is passed, the default settings are used again.
  Throws:
    `FactoryException` - Thrown when the redirect page cannot be set.
    `DynamicUIManagementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD